Scilab Function
Last update : 00/00/0000

iscellstr - Checks if all the cell components are strings

### Calling Sequence

  `y=iscellstr(c)`

### Parameters

- `c`: a cell.
- `y`: a double (0 or 1).

### Description

Given a cell `c`,the function `iscellstr` returns 1 if all the cell components are strings else returns 0.

### Examples

    // example 1:
    c=makecell([1,3],'foo1','foo2','foo3');
    y=iscellstr(c)

    // example 2:
    c=makecell([1,3],'foo1',5,'foo3');
    y=iscellstr(c)

### See Also

`cell`, `makecell`,

### Author

Farid Belahcene